
#include<iostream>
#include "list_w_iterator.h"




int main()
{
/* Construct an empty list. */
	List<float> A;
	if (A.is_empty())
		cout<<"\nThe List constructor worked.";
	else
		cout<<"\ndamn!";

/* Populate the list, testing push_front and push_back */
	A.push_front(98.6);
	A.push_front(100);
	A.push_front(32);
	A.push_back(-1);
	A.push_back(-2);
	if (A.is_empty())
		cout<<"\nThe 'insert' didn't work.";
	else
		cout<<"\nThe list is no longer empty.\n";
	A.print();
/* Test .begin() */
	cout<<"\nThe first element of the list is "<<*A.begin();
	*A.begin()=31;
	cout<<"\nNow the first element of the list is "<<*A.begin();
/* Test .insert(iterator, T)*/
       	List<float>::iterator it=A.begin();
	A.insert(A.begin(), 144);
	cout<<"\nI hope I inserted 144 afer "<<*A.begin()<<": ";
	A.print();
/* Test prefix ++ */
	++it;
	cout<<"\nThe second element in the list is "<<*it;
	*it=88;
	cout<<"\nChanged to 88?: ";
	A.print();
       	
/* Test delete_next(iterator) */
	A.delete_next(it);
	cout<<"\nAfter the attempted deletion: ";
	A.print();

/* Test 'make_empty'. */
	A.make_empty();
	if (A.is_empty())
		cout<<"\nThe 'make_empty' call worked.";
	else
		cout<<"\nThe 'make_empty' call didn't work.\n";
	
	return 0;
}

		
	
		
	

